        org 65024

prepare ld hl,23296     ; Address of Text to be displayed
        ld (hil),hl
        ld hl,20704     ; Byte on the screen to start displaying from (last line = 20704)
        ld (dil),hl
        ld de,40000     ; Memory where the bold font will be stored
        push de
        ld hl,$3d00
        ld bc,$300
loop    ld a,(hl)
        rra
        or (hl)
        rla
        rla
        or (hl)
        ld (de),a
        inc hl
        inc de
        dec bc
        ld a,b
        or c
        jp nz,loop
        pop de
        dec d
        ld (23606),de
	ret

load	ld ix, $4000    ; Load address
        ld de, $1b00    ; Length
        ld a,$ff
        scf
	call lfed5
        ret

lfed5   inc d
        ex af,af'
        dec d
        di
        ld a,$08
        out ($fe),a
        ld hl,01343
        push hl
        in a,($fe)
        rra
        and $20
        or $02
        ld c,a
        cp a
lfeea   ret nz
lfeeb   call lff66
        jr nc,lfeea
        ld hl,01045
lfef3   djnz lfef3
        dec hl
        ld a,h
        or l
        jr nz,lfef3
        call lff62
        jr nc,lfeea
lfeff   ld b,$9c
        call lff62
        jr nc,lfeea
        ld a,$c6
        cp b
        jr nc,lfeeb
        inc h
        jr nz,lfeff
lff0e   ld b,$c9
        call lff66
        jr nc,lfeea
        ld a,b
        cp $d4
        jr nc,lff0e
        call lff66
        ret nc
        ld a,c
        xor $03
        ld c,a
        ld h,$00
        ld b,$b0
        jr lff47
lff28   ex af,af'
        jr nz,lff32
        jr nc,lff3c
        ld (ix+0),l
        push af
        ld a,e
        cp 0
        call z,llll
        pop af
        jr lff41
lff32   rl c
        xor l
        ret nz
        ld a,c
        rra
        ld c,a
        inc de
        jr lff43
lff3c   ld a,(ix+0)
        xor l
        ret nz
lff41   inc ix
lff43   dec de
        ex af,af'
        ld b,$b2
lff47   ld l,$01
lff49   call lff62
        ret nc
        ld a,$cb
        cp b
        rl l
        ld b,$b0
        jp nc,lff49
        ld a,h
        xor l
        ld h,a
        ld a,d
        or e
        jr nz,lff28
        ld a,h
        cp $01
        ret
lff62   call lff66
        ret nc
lff66   ld a,$16
lff68   dec a
        jr nz,lff68
        and a
lff6c   inc b
        ret z
        ld a,$7f
        in a,($fe)
        rra
        xor c
        and $20
        jr z,lff6c
        ld a,c
        cpl
        ld c,a
        ld a,(hl)
        nop
        and $04
        or $08
        out ($fe),a
        scf
        ret
llll    exx
        ex af,af'
        ld hl,(hil)
        ld a,(hl)
        ld (aaa),a
        ld a,l
        cp 32
        jp z,kraj
        inc hl
        ld (hil),hl
        ld a,(aaa)
        ld h,0
        ld l,a
        add hl,hl
        add hl,hl
        add hl,hl
        ld de,39744
        add hl,de
        ld de,(dil)
        push de
        ld b,8
lop     ld a,(hl)
        ld (de),a
        inc hl
        inc d
        djnz lop
        pop de
        inc de
        ld (dil),de
kraj    exx
        ex af,af'
        ret
dil     nop
        nop
hil     nop
        nop
aaa     nop